{% extends "bandeau.html" %}
{% block main %}
<link rel="stylesheet" type="text/css" href="{{ url_for('static',filename='eleve.css') }}">
<title> Feuille Eleve </title>
<body>
    
    <p id="salutation">Bienvenue {{ el.prenomEl }} {{ el.nomEl }} !</p>
    {% if el.cotisationAnn ==1 %}
    <form action="{{url_for('el_payer_cotisation', id=el.idEl)}}" method="post">
        <input id="payercoti" class="bouton" type="submit" value="Payer la Cotisation Annuelle">
    </form>
    {% else %}
    <p id="cotisation"> Cotisation Annuelle payée !</p>
    {% endif %}

    {% if req ==[] %}
    <div id="tableau">
        <table >
            <tbody>
                <tr>  
                <td> Il n'y a pas de cours pour cette date </td>
                </tr>
            </tbody>
        </table>
    </div>
    </tr>
    {% else %}
    <div id="tableau"> 

        <table >
            <thead>
                <tr>
                <th> Date </th>
                <th> Duree (h)</th>
                <th> Activite</th>
                <th> Moniteur</th>
                <th> Poney </th>
                <th> Race et Robe du poney</th>
                <th> Prix </th>
            </tr>
        </thead>
        <tbody>
            {% for _, RESERVATION, COURS, PONEY, MONITEUR in req %}
            <tr>  
                <td> {{ COURS.date }} </td>
                <td> {{ COURS.duree }} </td>
                <td> {{ COURS.activite }} </td>
                <td> {{ MONITEUR.nomMo }} {{ MONITEUR.prenomMo }}</td>
                <td> {{ PONEY.nomPo }} </td>
                <td> {{ PONEY.racePo }} {{ PONEY.robePo }} </td>
                <td> {{ COURS.prixCours }} </td>
                
                
                {% if RESERVATION.estPaye == 1 %}
                <td>
                    <form action="{{url_for('el_payer_cours', id=el.idEl, idC=COURS.idC)}}" method="post">
                            <input id="payer" class="bouton" type="submit" value="Payer le Cours">
                        </form>
                    </td>
                    {% endif %}
                    
                </tr>
                {% endfor %}
            </tbody>
        </table>
    </div>
    {% endif %}
        
        <form action="{{url_for('el_reserver_cours', id=el.idEl)}}" method="post">
            <input id="reservercours" class="bouton" type="submit" value="Reserver un Cours">
        </form>
        <form  id="bouton-poney" action="{{url_for('voir_poneys', id=el.idEl)}}" method="post">
            <input class="bouton" type="submit" value="Voir les Poneys">
        </form>
    </body>
    {% include "infos.html"%}
    {% endblock %}